Semantic Maps 2.0.1.2 distance queries broken.
Closed, ResolvedPublic

Description

Author: mitchell_neill

Description:
Hi.

I'm running SMW 1.8.0.4, Maps 2.0.1, Semantic Maps 2.0.1.2, Validator 0.5.1 on MW 1.19.4.

It looks like distance queries have stopped working. I have:
{{#vardefine:lat_long|{{#geocode:SO16 0TH,UK}}}}

{{#ask:[[Category:Organisations]][[Coordinates::{{#var:lat_long}} 10km]]|?Headline=|?Address|?Location|?Postcode|?Coordinates|center={{#var:lat_long}}|format=googlemaps|width=920|height=640|forceshow=yes|icon=Flag_red.png|zoom=12|autozoom=off|limit=100|searchlabel=}}

and it shows an error:
"The following coordinate was not recognized: 50 50' 48" N, 1 28' 9" W 10km"

This works on a previous version of the same site running Maps 1.0.5 and Semantic Maps 1.0.5.

In fact, even the example at http://semantic-mediawiki.org/wiki/Semantic_Maps_examples/Distance_query is showing an error. It is only showing anything because the way SMW defaults to outputting all results if the query has an error.

Thanks.


Version: master
Severity: normal

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz46371.
bzimport created this task.Via LegacyMar 20 2013, 5:08 PM
bzimport added a comment.Via ConduitMar 20 2013, 5:13 PM

mitchell_neill wrote:

I tried putting the distance in brackets like the example (although it's always worked before without)

{{#ask:[[Category:Organisations]][[Coordinates::{{#var:lat_long}}
(10km)]]|?Headline=|?Address|?Location|?Postcode|?Coordinates|center={{#var:lat_long}}|format=googlemaps|width=920|height=640|forceshow=yes|icon=Flag_red.png|zoom=12|autozoom=off|limit=100|searchlabel=}}

But then no map is shown at all.

JeroenDeDauw added a comment.Via ConduitMar 23 2013, 3:26 AM

Even if the parsing part worked, the query code has a bad off by one error in it... The later has been fixed on master, the former still needs tackling.

bzimport added a comment.Via ConduitMar 28 2013, 10:24 AM

mitchell_neill wrote:

Thanks for the update Jeroen. Looking forward to the final fix :)

bzimport added a comment.Via ConduitApr 17 2013, 8:37 AM

Chippyrof wrote:

It would be nice to see this fixed and also some working examples of this extension actually working as well as documentation of any sort.

bzimport added a comment.Via ConduitMay 7 2013, 9:09 PM

dan.bolser wrote:

(In reply to comment #4)

It would be nice to see this fixed and also some working examples of this
extension actually working as well as documentation of any sort.

I've done some work on migrating (the very comprehensive) documentation from http://mapping.referata.com/wiki/User_manual to http://semantic-mediawiki.org/wiki/Maps

Please help!

Dan.

bzimport added a comment.Via ConduitMay 7 2013, 9:10 PM

dan.bolser wrote:

(In reply to comment #2)

Even if the parsing part worked, the query code has a bad off by one error in
it... The later has been fixed on master, the former still needs tackling.

Where should we look to start work on this?

bzimport added a comment.Via ConduitMay 29 2013, 4:43 PM

mitchell_neill wrote:

Looks like users of SMW 1.8+ are stuffed. Upgrading existing sites to SMW 1.8+ is also not possible if mapping is required because of this bug :(

Add Comment